GET
/
balance
/
{currencyId}
curl --request GET \
  --url 'https://doc-api.oppiwallet.com/api/v2/balance/6698aec7f188ae24c673da1c' \
  --header 'signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
  --header 'Content-Type: application/json'
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: 'https://doc-api.oppiwallet.com/api/v2/balance/6698aec7f188ae24c673da1c',
  headers: { 
    'signatureToken': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1cmkiOiJjcmVhdGVUcmFuc2FjdGlvblJlcXVlc3QiLCJpYXQiOjE3MTUxNTM2NTQsImV4cCI6MTcxNTE1MzcwOSwia2V5Ijoicmh0TmJELU9yTFQteFp3M3QtMkpFWnR4Iiwic2lnbmF0dXJlU3RyaW5nIjoiMWVjY2M1NDc0YWZiMzU4NDExNDEzNjBkOGQ0MDBlMWYxOWIzNRjYzVkM2YxNTRjNmQ5YjViNSJ9.JuF7d8Oc4EyMvm7s5g3CN9L9Wbl_TFI_yO8jt20dvHw',
    'Content-Type': 'application/json'
  }
};

axios.request(config)
  .then((response) => {
    console.log(JSON.stringify(response.data));
  })
  .catch((error) => {
    console.log(error);
  });
import requests

currency_id = "6698aec7f188ae24c673da1c"
url = f"https://doc-api.oppiwallet.com/api/v2/balance/{currency_id}"

headers = {
    "signatureToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {
	url := "https://doc-api.oppiwallet.com/api/v2/balance/6698aec7f188ae24c673da1c"

	req, _ := http.NewRequest("GET", url, nil)
	req.Header.Add("signatureToken", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)
	defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

	fmt.Println(string(body))
}
<?php
$curl = curl_init();

$currencyId = "6698aec7f188ae24c673da1c";

curl_setopt_array($curl, [
  CURLOPT_URL => "https://doc-api.oppiwallet.com/api/v2/balance/{$currencyId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
{
  "balance": 0.564333586
}
{
  "message": "Error message"
}
{
  "message": "Currency not found"
}

Authentication

signatureToken
string
required
A JWT token required for API authentication. Generate JWT token as explained in section Generate JWT Token using empty string.

Headers

Content-Type
string
required
Must be set to application/json.

Path Parameters

currencyId
string
required
The ID of the currency for which to retrieve the balance.

Request

No request body is required for this endpoint.

Response

Returns the current balance for the specified currency.
balance
number
required
The available balance in the wallet for the specified currency.
{
  "balance": 0.564333586
}
{
  "message": "Error message"
}
{
  "message": "Currency not found"
}